Delete API Key
Permanently soft-delete (revoke) a v5 API key. The key can never be reinstated. Idempotent — a repeat call returns the same deleted key.
Path Parameters
- Type: string · Key Idkey
_id required
Headers
- enumAcceptconst:application/jsonrequired
Response format. Must be
application/json.values- application/json
Responses
- application/json
- application/json
- application/json
Request Example for delete/v5/apikeys/{key_id}
curl '/v5/apikeys/{key_id}' \
--request DELETE \
--header 'Accept: application/json'
{
"id": "string",
"account_id": "string",
"name": "string",
"key": "string",
"key_last4": "string",
"permissions": [
"payments:tap-ios"
],
"status": "active",
"expires_at": "2026-07-10T18:41:46.931Z",
"created_at": "2026-07-10T18:41:46.931Z",
"last_used_at": "2026-07-10T18:41:46.931Z",
"is_legacy": true
}
